summaryrefslogtreecommitdiff
path: root/src/third_party/wiredtiger/test/format/smoke.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/third_party/wiredtiger/test/format/smoke.sh')
-rwxr-xr-xsrc/third_party/wiredtiger/test/format/smoke.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/third_party/wiredtiger/test/format/smoke.sh b/src/third_party/wiredtiger/test/format/smoke.sh
new file mode 100755
index 00000000000..5fbc349f242
--- /dev/null
+++ b/src/third_party/wiredtiger/test/format/smoke.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+set -e
+
+# Smoke-test format as part of running "make check".
+args="-1 -c "." data_source=table ops=100000 rows=10000 threads=4 compression=none logging_compression=none"
+
+$TEST_WRAPPER ./t $args file_type=fix
+$TEST_WRAPPER ./t $args file_type=row
+$TEST_WRAPPER ./t $args file_type=row data_source=lsm
+$TEST_WRAPPER ./t $args file_type=var